package org.intoJ.inferType3.internal.constraintModel;

import org.eclipse.jdt.core.ISourceRange;
import org.eclipse.jdt.internal.corext.refactoring.typeconstraints2.ConstraintVariable2;
import org.eclipse.jdt.internal.corext.refactoring.typeconstraints2.ParameterTypeVariable2;

public class TAA3EnhancedConstraintDataModel {

	private static final String PARAMETER_KEY= "CORRESPONDING_PARAMETER";

	private static final String HANDLE_KEY= "JAVA_ELEMENT_HANDLE_IDENTIFIER";

	private static final String TYPE_RANGE= "TYPE_RANGE";

	public static void setCorrespondingParameterTypeVar(ConstraintVariable2 var, ParameterTypeVariable2 param) {
		var.setData(PARAMETER_KEY, param);
	}

	public static ParameterTypeVariable2 getCorrespondingParameterTypeVar(ConstraintVariable2 var) {
		return (ParameterTypeVariable2) var.getData(PARAMETER_KEY);
	}

	public static void setJavaElementBindingKey(ConstraintVariable2 var, String handleIdentifier) {
		var.setData(HANDLE_KEY, handleIdentifier);
	}

	public static String getJavaElementBindingKey(ConstraintVariable2 var) {
		return (String) var.getData(HANDLE_KEY);
	}

	public static void setTypeVariableRange(ConstraintVariable2 var, ISourceRange sourceRange) {
		var.setData(TYPE_RANGE, sourceRange);
	}

	public static ISourceRange getTypeVariableRange(ConstraintVariable2 var) {
		return (ISourceRange) var.getData(TYPE_RANGE);
	}

}
