/*
 * This file belongs to the IntoJ project. See enclosed license file for
 * licensing issues.
 * 
 * For more information, please visit http://www.intoj.org/
 *  
 */
package org.intoJ.inferType3.internal.typeCalc;

/**
 * The covariance type used for comparisons.
 * 
 * @author Hannes Kegel
 *
 */
public enum CovarianceType {
    RECEIVER_POSSIBLE_SUBTYPE,
    ARGUMENT_POSSIBLE_SUBTYPE,
    NONE, 
    FIND_SUPERTYPE;
}
